View Issue Details

IDProjectCategoryView StatusLast Update
0035152LazarusDocumentationpublic2019-10-13 09:53
ReporterDon Siders Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
PlatformanyOSany 
Product Version2.1 (SVN) 
Summary0035152: Batch of documentation updates for LazUtils
DescriptionThis includes updates to 7 xml files. Mostly corrections for spelling errors, typos.

See attached lazutils.diff
TagsNo tags attached.
Fixed in Revision60528.
LazTarget-
Widgetset
Attached Files

Relationships

related to 0036167 closedJuha Manninen Updated documentation in LazFileUtils.xml 

Activities

Don Siders

2019-02-25 23:54

reporter  

lazutils.diff (29,146 bytes)   
Index: avglvltree.xml
===================================================================
--- avglvltree.xml	(revision 60501)
+++ avglvltree.xml	(working copy)
@@ -757,7 +757,7 @@
       <!-- function Visibility: public -->
       <element name="TAvgLvlTreeNodeMemManager.NewNode">
         <short>
-          <var>NewNode</var> - returns a new node fo the structure</short>
+          <var>NewNode</var> - returns a new node for the structure</short>
         <descr/>
         <errors/>
         <seealso/>
@@ -798,7 +798,7 @@
       <!-- constructor Visibility: public -->
       <element name="TAvgLvlTreeNodeMemManager.Create">
         <short>
-          <var>Create</var> - constructor for <var>TAvgLvlTreeNodeMemManager</var>: calls inherited <var>Create</var> then initialises the counters</short>
+          <var>Create</var> - constructor for <var>TAvgLvlTreeNodeMemManager</var>: calls inherited <var>Create</var> then initializes the counters</short>
         <descr/>
         <errors/>
         <seealso>
Index: dynhasharray.xml
===================================================================
--- dynhasharray.xml	(revision 60501)
+++ dynhasharray.xml	(working copy)
@@ -346,7 +346,7 @@
       </element>
       <!-- procedure Visibility: protected -->
       <element name="TDynHashArray.RebuildItems">
-        <short>Rebuilds the internal datastructures.</short>
+        <short>Rebuilds the internal data structures.</short>
         <descr>It is called anytime when there is a change that makes it necessary. E.g. hash function changes or because of dynamic reallocation.</descr>
         <errors/>
         <seealso/>
@@ -726,7 +726,7 @@
       </element>
       <!-- function Visibility: public -->
       <element name="TDynHashArray.ConsistencyCheck">
-        <short>Check if data in TDynHashArray are ok</short>
+        <short>Check if data in TDynHashArray are OK</short>
         <descr>Returns a number indicating the nature of inconsistency. 0
          means OK.
 </descr>
@@ -776,7 +776,7 @@
       </element>
       <!-- property Visibility: public -->
       <element name="TDynHashArray.OwnerHashFunction">
-        <short>THe pointer to the user-defined hash function.</short>
+        <short>The pointer to the user-defined hash function.</short>
         <descr/>
         <seealso/>
       </element>
Index: fileutil.xml
===================================================================
--- fileutil.xml	(revision 60501)
+++ fileutil.xml	(working copy)
@@ -100,7 +100,7 @@
       </element>
       <!-- function result Visibility: default -->
       <element name="FilenameIsWinAbsolute.Result">
-        <short>Returns True if this is a true absolite Windows filename</short>
+        <short>Returns True if this is a true absolute Windows filename</short>
       </element>
       <!-- argument Visibility: default -->
       <element name="FilenameIsWinAbsolute.TheFilename">
@@ -149,7 +149,7 @@
             <var>CheckIfFileIsSymlink</var> - raises an exception if file is not a Symbolic Link</p>
           <p>Otherwise no action</p>
         </descr>
-        <errors>An exception is raised with appropriate message if file does not exist or is not a correct symbolic link (eg dangling link, circular link, read access denied, or not a symbolic link)</errors>
+        <errors>An exception is raised with appropriate message if file does not exist or is not a correct symbolic link (e.g. dangling link, circular link, read access denied, or not a symbolic link)</errors>
       </element>
       <!-- argument Visibility: default -->
       <element name="CheckIfFileIsSymlink.AFilename">
@@ -230,7 +230,7 @@
             
             <var>AFileName</var> refers to an executable file</p>
           <p>On Windows systems, if the file exists it is regarded as executable.</p>
-          <p>On other systems (eg Unix etc), looks at file permissions to see whether execute flag is set</p>
+          <p>On other systems (e.g. Unix etc), looks at file permissions to see whether execute flag is set</p>
         </descr>
       </element>
       <!-- function result Visibility: default -->
@@ -503,8 +503,8 @@
       </element>
       <!-- function Visibility: default -->
       <element name="AppendPathDelim">
-        <short>Appends the path delimeter to the path.</short>
-        <descr>AppendPathDelim checks if the last character in the path is the path delimeter. If it isn't the path delimeter, it is added, otherwise the unmodified path is returned.
+        <short>Appends the path delimiter to the path.</short>
+        <descr>AppendPathDelim checks if the last character in the path is the path delimiter. If it isn't the path delimiter, it is added, otherwise the unmodified path is returned.
 </descr>
         <errors/>
         <seealso/>
@@ -519,8 +519,8 @@
       </element>
       <!-- function Visibility: default -->
       <element name="ChompPathDelim">
-        <short>Removes trailing path delimeter</short>
-        <descr>ChompPathDelim checks if the last character in the path is the path delimeter. If it is the path delimeter, it is removed, otherwise the unmodified path is returned.</descr>
+        <short>Removes trailing path delimiter</short>
+        <descr>ChompPathDelim checks if the last character in the path is the path delimiter. If it is the path delimiter, it is removed, otherwise the unmodified path is returned.</descr>
         <errors/>
         <seealso/>
       </element>
@@ -633,7 +633,7 @@
         <descr>
           <p>
             <var>CreateRelativePath</var> - given an absolute path and a <var>BaseDirectory,</var> create a file path relative to the given base directory</p>
-          <p>The returned string includes the correct number of dots and double dots to signify relativity to the current directory (eg ../../or ..\..\ etc). The inverse operation is to create an absolute file path:
+          <p>The returned string includes the correct number of dots and double dots to signify relativity to the current directory (e.g. ../../or ..\..\ etc). The inverse operation is to create an absolute file path:
 </p>
           <code>RelPath:=CreateRelativePath(AbsPath,BaseDir);
 if FilenameIsAbsolute(RelPath) then
@@ -1106,7 +1106,7 @@
       <element name="FindAllFiles.Result">
         <short>List of found files.</short>
         <descr>List (TStringList) of found files.
-        The StringList is instantiated by the FindAllFiles function, so you should not instatiate it before calling
+        The StringList is instantiated by the FindAllFiles function, so you should not instantiate it before calling
         the function.</descr>
       </element>
       <!-- argument Visibility: default -->
@@ -1118,7 +1118,7 @@
         <short>A list of masks, separated by a semicolon (;) to which found files should match.</short>
         <descr>A list of masks, separated by a semicolon (;) to which found files should match.
         The mask can contain wildcards like * and ? and it also supports sets like [a-d,x].
-        See the Masks unit fo more details.</descr>
+        See the Masks unit for more details.</descr>
       </element>
       <!-- argument Visibility: default -->
       <element name="FindAllFiles.SearchSubDirs">
@@ -1185,7 +1185,7 @@
       </element>
       <!-- argument Visibility: default -->
       <element name="GetTempFilename.Directory">
-        <short>The <var>Directory</var> in which the temprary file is to be placed</short>
+        <short>The <var>Directory</var> in which the temporary file is to be placed</short>
       </element>
       <!-- argument Visibility: default -->
       <element name="GetTempFilename.Prefix">
Index: lazfileutils.xml
===================================================================
--- lazfileutils.xml	(revision 60501)
+++ lazfileutils.xml	(working copy)
@@ -108,11 +108,11 @@
       <!-- function Visibility: default -->
       <element name="CompareFileExt">
         <short>
-          Performs a sort order comparision for the specified file name and extension
+          Performs a sort order comparison for the specified file name and extension
         </short>
         <descr>
           <p>
-            CompareFileExt is an Integer function used to compare the file extension in FIlename to the value in Ext. Ext may contain the '.' character, but it is not required and will be removed for the comparison. CaseSensitive indicates whether case is ignored in the comparision. When CaseSensitive contains True, CompareStr is called to perform the comparison. Otherwise,  UTF8CompareText is called to compare the values. The return value will contain one of the following:
+            CompareFileExt is an Integer function used to compare the file extension in Filename to the value in Ext. Ext may contain the '.' character, but it is not required and will be removed for the comparison. CaseSensitive indicates whether case is ignored in the comparison. When CaseSensitive contains True, CompareStr is called to perform the comparison. Otherwise,  UTF8CompareText is called to compare the values. The return value will contain one of the following:
           </p>
           <dl>
             <dt>-1</dt>
@@ -143,7 +143,7 @@
 
       <!-- argument Visibility: default -->
       <element name="CompareFileExt.Filename">
-        <short>File name for the comparision</short>
+        <short>File name for the comparison</short>
       </element>
 
       <!-- argument Visibility: default -->
@@ -170,8 +170,8 @@
           </p>
         </descr>
         <seealso>
-          <link id ="CompareFileNames">CompareFIlenames</link>
-          <link id ="CompareFileName">CompareFIlename</link>
+          <link id ="CompareFileNames">CompareFilenames</link>
+          <link id ="CompareFileName">CompareFilename</link>
         </seealso>
       </element>
 
@@ -222,7 +222,7 @@
 
       <!-- argument Visibility: default -->
       <element name="DirPathExists.DirectoryName">
-        <short>DIrectory Name to locate</short>
+        <short>Directory Name to locate</short>
       </element>
 
       <!-- function Visibility: default -->
@@ -416,7 +416,7 @@
             CheckIfFileIsExecutable is a procedure used to examine the specified file name to see if it is executable. CheckIfFileIsExecutable is implemented for UNIX-like environments, and allows TProcess to better determine if the file can be executed on the platform or OS, and to get better error messages when it cannot.
           </p>
           <p>
-            CheckIfFileIsExecutable raises an exception with a specific mesage when the platform or OS facilities indicate it is necessary.
+            CheckIfFileIsExecutable raises an exception with a specific message when the platform or OS facilities indicate it is necessary.
           </p>
           <p>
             Use FileIsExecutable to determine of a file is executable without raising an exception.
@@ -479,7 +479,7 @@
         </short>
         <descr>
           <p>
-            FileIsExecutable is a Boolean function used to determine if the specified file name is executable. For UNIX-like environments,  a combination of FpStat, FPS_ISREG, and FpAccess are used to get the return value. For the Windows enviroment, the value from FileExistsUTF8 is used as the return value. In short, the function is not really useful in a Windows environment.
+            FileIsExecutable is a Boolean function used to determine if the specified file name is executable. For UNIX-like environments,  a combination of FpStat, FPS_ISREG, and FpAccess are used to get the return value. For the Windows environment, the value from FileExistsUTF8 is used as the return value. In short, the function is not really useful in a Windows environment.
           </p>
         </descr>
         <seealso></seealso>
@@ -662,7 +662,7 @@
 
       <!-- function result Visibility: default -->
       <element name="CleanAndExpandFilename.Result">
-        <short>File name with whitespace removed and special charcters resolved</short>
+        <short>File name with whitespace removed and special characters resolved</short>
       </element>
 
       <!-- argument Visibility: default -->
@@ -702,7 +702,7 @@
         </short>
         <descr>
           <p>
-            TrimAndExpandFilename is a String function used to remove whitespace and special characters in Filename, and to resolve the relative file path to the directory in BaseDir. TrimAndExpandFilename removes a trailing path delimiter in FIlename, and calls ExpandFileNameUTF8 and TrimFilename to get the return value for the function.
+            TrimAndExpandFilename is a String function used to remove whitespace and special characters in Filename, and to resolve the relative file path to the directory in BaseDir. TrimAndExpandFilename removes a trailing path delimiter in Filename, and calls ExpandFileNameUTF8 and TrimFilename to get the return value for the function.
           </p>
           <p>
             The return value is an empty string ('') if Filename contains an empty string ('').
@@ -926,7 +926,8 @@
             For UNIX-like environments, the return value is provided by the FileAge function in SysUtils. For the Windows environment,  FindFirstFileW is used to get TWin32FindDataW data for the specified file. Its ftLastWriteTime value is converted using WinToDosTime to get the return value for the function.
           </p>
           <p>
-            The return value is in FIleDate format, and can be transformed to TDateTime format with the FileDateToDateTime function.
+            The return value is in FileDate format, and can be transformed to TDateTime format with the FileDateToDateTime 
+function.
           </p>
         </descr>
         <seealso></seealso>
@@ -1096,7 +1097,7 @@
             FileSetDateUTF8 is a Longint function used to set the last modification time for the file to the specified Age in FileDate format. Use DateTimeToFileDate to convert a TDateTime value to FileDate format.
           </p>
           <p>
-            For the Windows enviroment, a handle is created for the specified file name, and SetFileTime is called to store the updated file age. For UNIX-like enviroments, FileSetDate in SysUtils is called to set the file age. InvalidateFileStateCache is also called for the specified file name.
+            For the Windows environment, a handle is created for the specified file name, and SetFileTime is called to store the updated file age. For UNIX-like environments, FileSetDate in SysUtils is called to set the file age. InvalidateFileStateCache is also called for the specified file name.
           </p>
           <p>
             The return value is the value from GetLastError; a non-zero value indicates that an error has occurred.
@@ -1127,7 +1128,7 @@
         </short>
         <descr>
           <p>
-            FileGetAttrUTF8 is a Longint function used to get files attributes for the specified file name. For the Windows enviroment, GetFileAttributesW in Windows is called to the file attribute value for Filename. For UNIX-like enviroments, FileGetAttr in SysUtils is called to the the return value.
+            FileGetAttrUTF8 is a Longint function used to get files attributes for the specified file name. For the Windows environment, GetFileAttributesW in Windows is called to the file attribute value for Filename. For UNIX-like environments, FileGetAttr in SysUtils is called to the the return value.
           </p>
           <p>
             The return value contains a numeric value that can be OR-ed with the following constants to get a specific file attribute:
@@ -1179,7 +1180,7 @@
         </short>
         <descr>
           <p>
-            FileSetAttrUTF8 is a Longint function used to set the file attributes for the specified file name to the value in Attr. The value in Attr can be set by AND-ing pre-defined file attribute constants, such as:
+            FileSetAttrUTF8 is a Longint function used to set the file attributes for the specified file name to the value in Attr. The value in Attr can be set by AND-ing predefined file attribute constants, such as:
           </p>
           <dl>
             <dt>faReadOnly</dt>
@@ -1242,10 +1243,10 @@
             DeleteFileUTF8 is a Boolean function used to delete the specified file name.
           </p>
           <p>
-            For the Windows environment, DeleteFileW in Windows is called to remove the specified file name. For UNIX-like enviroments, DeleteFile in SysUtils is called to delete the specified file name. InvalidateFileStateCache is also called.
+            For the Windows environment, DeleteFileW in Windows is called to remove the specified file name. For UNIX-like environments, DeleteFile in SysUtils is called to delete the specified file name. InvalidateFileStateCache is also called.
           </p>
           <p>
-            The return value contaIns True when Filename is successfully deleted from the local file system.
+            The return value contains True when Filename is successfully deleted from the local file system.
           </p>
         </descr>
         <seealso></seealso>
@@ -1271,7 +1272,8 @@
             RenameFileUTF8 is a Boolean function used to rename a file to the specified new value.
           </p>
           <p>
-            For the Windows enviroment, MoveFileW is called to rename the file using the values specified in OldName and NewName. For UNIX-like enviroments, RenameFIle in SysUtils is called to rename the file to the specified new value. InvalidateFileStateCache is also called.
+            For the Windows environment, MoveFileW is called to rename the file using the values specified in OldName and 
+NewName. For UNIX-like environments, RenameFile in SysUtils is called to rename the file to the specified new value. InvalidateFileStateCache is also called.
           </p>
           <p>
             The return value is True if the file is renamed successfully.
@@ -1369,7 +1371,7 @@
           <p>
           </p>
           <p>
-            For UNIX-like enviroments, GetCurrentDir in SysUtils is called to get the current directory name.
+            For UNIX-like environments, GetCurrentDir in SysUtils is called to get the current directory name.
           </p>
         </descr>
         <seealso></seealso>
@@ -1393,7 +1395,7 @@
             For the Windows environment, UTFDecode is called to convert NewDir and passed to SetCurrentDirectoryW to set the current directory name. Windows CE raises an exception in SetCurrentDirUtf8; the concept of a current directory does not exist in Windows CE.
           </p>
           <p>
-            For UNIX-like enviroments, SetCurrentDir in SysUtils is used to set the current directory to the specified value.
+            For UNIX-like environments, SetCurrentDir in SysUtils is used to set the current directory to the specified value.
           </p>
           <p>
             The return value is True if the current directory is successfully changed to the new value.
@@ -1403,7 +1405,7 @@
           <dl>
             <dt>TException</dt>
             <dd>
-              Raised for the Windows CE environment; exception message is: '[SetCurrentDirWide] The concept of the current directory doesn''t exist in Windows CE'
+              Raised for the Windows CE environment; exception message is: '[SetCurrentDirWide] The concept of the current directory doesn't exist in Windows CE'
             </dd>
           </dl>
         </errors>
@@ -1427,7 +1429,7 @@
         </short>
         <descr>
           <p>
-            CreateDirUTF8 is a Boolean function used to create a new directory in the local file system with the specified name. For the Windows enviroment, the value in NewDir is converted to wide string format and passed to the CreateDirectoryW function in the Windows unit. For UNIX-like enviroments, CreateDir in SysUtils is used to create the new directory with the specified name.
+            CreateDirUTF8 is a Boolean function used to create a new directory in the local file system with the specified name. For the Windows environments, the value in NewDir is converted to wide string format and passed to the CreateDirectoryW function in the Windows unit. For UNIX-like environments, CreateDir in SysUtils is used to create the new directory with the specified name.
           </p>
           <p>
             The return value is True if the new directory is successfully created.
@@ -1493,7 +1495,7 @@
         </short>
         <descr>
           <p>
-            <var>ForceDirectories</var>  is a Boolean function which creates the specified directories if they do not already exist. ForceDirectories examines the value in Dir to determine if it contains a Windows device identifier or a UNC name. If a device identifer or UNC name is found, but not supported on the platform, no actions are perfomed in the function.
+            <var>ForceDirectories</var>  is a Boolean function which creates the specified directories if they do not already exist. ForceDirectories examines the value in Dir to determine if it contains a Windows device identifier or a UNC name. If a device identifier or UNC name is found, but not supported on the platform, no actions are performed in the function.
           </p>
           <p>
             ForceDirectories raises an EInOutError exception with the message in SCannotCreateEmptyDir when Dir contains an empty string ('').
@@ -1543,7 +1545,7 @@
 
       <!-- argument Visibility: default -->
       <element name="TInvalidateFileStateCacheEvent.Filename">
-        <short>File name for the eventg notification</short>
+        <short>File name for the event notification</short>
       </element>
 
       <!-- variable Visibility: default -->
Index: lazlogger.xml
===================================================================
--- lazlogger.xml	(revision 60501)
+++ lazlogger.xml	(working copy)
@@ -85,7 +85,7 @@
       </element>
       <element name="TLazLogger.ParamForLogFileName">
         <short>Name of the command line option, that has the logfile's name</short>
-        <descr>If LogName is empty and this is set, then the commandline will be checked for a param of the name specified. LogName  will be set, if found.
+        <descr>If LogName is empty and this is set, then the commandline will be checked for a parameter of the name specified. LogName  will be set, if found.
 
 The default is --debug-log=
 Note that the dashes and equal sign must be present.</descr>
@@ -182,7 +182,7 @@
         <descr>Default is 2</descr>
       </element>
       <element name="TLazLogger.MaxNestPrefixLen">
-        <short>Maxmum indent for DebuglnEnter</short>
+        <short>Maximum indent for DebuglnEnter</short>
         <descr>If the indent reaches this value, it will not increase anymore. Instead each line is prefixed with the nest-level of DebuglnEnter
 
 Default is 15</descr>
@@ -216,7 +216,8 @@
 
 If no log name is found StdOut is used.
 
-The simples usage, is to use the unit and put "DebugLn"/ "DbgOut" / "DebugLnEnter"/ "DebugLnExit" in your code. This works without any further setup.</descr>
+The easiest method is to use the unit and put "DebugLn"/ "DbgOut" / "DebugLnEnter"/ "DebugLnExit" in your code. This works 
+without any further setup.</descr>
     </module>
   </package>
 </fpdoc-descriptions>
Index: lazutf8classes.xml
===================================================================
--- lazutf8classes.xml	(revision 60501)
+++ lazutf8classes.xml	(working copy)
@@ -45,7 +45,7 @@
             AFilename contains the name for the file (created using FileCreateUTF8 or opened using FileOpenUTF8).
           </p>
           <p>
-            Mode is the File Mode for the specified file and contains one of the follwing values:
+            Mode is the File Mode for the specified file and contains one of the following values:
           </p>
           <dl>
             <dt>fmCreate</dt>
@@ -121,7 +121,8 @@
           Name of the file where stream content is read or written
         </short>
         <descr>
-          FIleName is a read-only String property that contains the name of the file where stream content is read or written. FileName can contain UTF-8-encoded characters.
+          FileName is a read-only String property that contains the name of the file where stream content is read or 
+written. FileName can contain UTF-8-encoded characters.
         </descr>
         <seealso></seealso>
       </element>
@@ -192,7 +193,8 @@
         </short>
         <descr>
           <p>
-            SaveToFile is a procedure used to save the content in the string list to the specified file name. FileName can contain UTF-8-encoded characters. SaveToFile uses a TFileStreamUTF8 instance to create the file specified in FIleName, and calls the SaveToStream method to store values from the string list.
+            SaveToFile is a procedure used to save the content in the string list to the specified file name. FileName can 
+contain UTF-8-encoded characters. SaveToFile uses a TFileStreamUTF8 instance to create the file specified in FileName, and calls the SaveToStream method to store values from the string list.
           </p>
         </descr>
         <seealso></seealso>
@@ -259,7 +261,8 @@
         </short>
         <descr>
           <p>
-            LoadStringsFromFileUTF8 is a procedure used to load the content for a string list from the specified file name. List is the TStrings decendant where the content from FileName is stored. FIleName can contain UTF-8-encoded characters. LoadStringsFromFileUTF8 creates an internal TStringListUTF8 instance (when needed) that is used to load the content in FileName, and calls the Assign method in List to store the values.
+            LoadStringsFromFileUTF8 is a procedure used to load the content for a string list from the specified file name. 
+List is the TStrings decendant where the content from FileName is stored. FileName can contain UTF-8-encoded characters. LoadStringsFromFileUTF8 creates an internal TStringListUTF8 instance (when needed) that is used to load the content in FileName, and calls the Assign method in List to store the values.
           </p>
         </descr>
         <seealso></seealso>
@@ -282,7 +285,7 @@
         </short>
         <descr>
           <p>
-            SaveStringsToFileUTF8 is a procedure used to save the content in the List to the specified file name. List is a TStrings desccendant with the content to store in the specified file name. FileName can contaIn UTF-8-encoded character values. SaveStringsToFileUTF8 uses a TStringListUTF8 (when needed) to store the content in the string list to the specified FileName.
+            SaveStringsToFileUTF8 is a procedure used to save the content in the List to the specified file name. List is a TStrings desccendant with the content to store in the specified file name. FileName can contain UTF-8-encoded character values. SaveStringsToFileUTF8 uses a TStringListUTF8 (when needed) to store the content in the string list to the specified FileName.
           </p>
         </descr>
         <seealsao></seealsao>
@@ -308,7 +311,7 @@
             CompareStringListItemsUTF8LowerCase is an Integer function used to perform  lowercase comparison of string values in a string list. List is the TStrings descendant with values for the comparison. Index1 and Index2 specify the ordinal positions in List for strings used in the comparison.
           </p>
           <p>
-            CompareStringListItemsUTF8LowerCase converts the string values to lowercase using UTF8LowerCase, and calls the CompareStr function to perform the comparison. The return vaue is in the following ranges:
+            CompareStringListItemsUTF8LowerCase converts the string values to lowercase using UTF8LowerCase, and calls the CompareStr function to perform the comparison. The return value is in the following ranges:
           </p>
           <dl>
             <dt><code> &lt;0 </code></dt>
Index: masks.xml
===================================================================
--- masks.xml	(revision 60501)
+++ masks.xml	(working copy)
@@ -196,7 +196,7 @@
       <element name="TMaskList.GetItem.Index"><short/></element>
       <!-- constructor Visibility: public -->
       <element name="TMaskList.Create">
-        <short>Creates new list of masks from passed value, each item is seperated by separator.</short>
+        <short>Creates new list of masks from passed value, each item is separated by separator.</short>
         <descr/>
         <errors/>
         <seealso/>
@@ -252,7 +252,7 @@
       <element name="MatchesMask.Mask"><short/></element>
       <!-- function Visibility: default -->
       <element name="MatchesMaskList">
-        <short>If the file name matches at least one of passed masks sepearated by separator.</short>
+        <short>If the file name matches at least one of passed masks separated by separator.</short>
         <descr/>
         <errors/>
         <seealso/>
lazutils.diff (29,146 bytes)   

Mattias Gaertner

2019-02-28 12:07

manager   ~0114499

Thanks!

Don Siders

2019-02-28 18:30

reporter   ~0114511

You're welcome.

Issue History

Date Modified Username Field Change
2019-02-25 23:54 Don Siders New Issue
2019-02-25 23:54 Don Siders File Added: lazutils.diff
2019-02-26 01:02 Mattias Gaertner Assigned To => Mattias Gaertner
2019-02-26 01:02 Mattias Gaertner Status new => assigned
2019-02-28 12:07 Mattias Gaertner Fixed in Revision => 60528.
2019-02-28 12:07 Mattias Gaertner LazTarget => -
2019-02-28 12:07 Mattias Gaertner Note Added: 0114499
2019-02-28 12:07 Mattias Gaertner Status assigned => resolved
2019-02-28 12:07 Mattias Gaertner Resolution open => fixed
2019-02-28 18:30 Don Siders Note Added: 0114511
2019-02-28 18:30 Don Siders Status resolved => closed
2019-10-13 09:53 Juha Manninen Relationship added related to 0036167